umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_testbase.cpp File Reference
`#include <memory>`
`#include "../../../../unittests/testbase.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_TestBase_t
struct | qt_meta_stringdata_TestCodeGeneratorBase_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_TestBase_t | qt_meta_stringdata_TestBase
static const uint | qt_meta_data_TestBase []
static const qt_meta_stringdata_TestCodeGeneratorBase_t | qt_meta_stringdata_TestCodeGeneratorBase
static const uint | qt_meta_data_TestCodeGeneratorBase []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL [1/2]

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_TestBase_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_TestBase_t
Definition: moc_testbase.cpp:24

## ◆ QT_MOC_LITERAL [2/2]

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_TestCodeGeneratorBase_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_TestCodeGeneratorBase_t
Definition: moc_testbase.cpp:127

## Variable Documentation

## ◆ qt_meta_data_TestBase

const uint qt_meta_data_TestBase[]
| static

Initial value:
= {
8,
0,
0, 0,
3, 14,
0, 0,
0, 0,
0, 0,
0,
0,
1, 0, 29, 2, 0x09 ,
3, 0, 30, 2, 0x09 ,
4, 1, 31, 2, 0x09 ,
QMetaType::Void,
QMetaType::Void,
QMetaType::Void, QMetaType::QObjectStar, 5,
0
}

## ◆ qt_meta_data_TestCodeGeneratorBase

const uint qt_meta_data_TestCodeGeneratorBase[]
| static

Initial value:
= {
8,
0,
0, 0,
1, 14,
0, 0,
0, 0,
0, 0,
0,
0,
1, 0, 19, 2, 0x08 ,
QMetaType::Void,
0
}

## ◆ qt_meta_stringdata_TestBase

const qt_meta_stringdata_TestBase_t qt_meta_stringdata_TestBase
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 8),
QT_MOC_LITERAL(1, 9, 12),
QT_MOC_LITERAL(2, 22, 0),
QT_MOC_LITERAL(3, 23, 15),
QT_MOC_LITERAL(4, 39, 13),
QT_MOC_LITERAL(5, 53, 1)
},
"TestBase\0initTestCase\0\0cleanupTestCase\0"
"cleanupOnExit\0p"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_testbase.cpp:131

## ◆ qt_meta_stringdata_TestCodeGeneratorBase

const qt_meta_stringdata_TestCodeGeneratorBase_t qt_meta_stringdata_TestCodeGeneratorBase
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 21),
QT_MOC_LITERAL(1, 22, 12),
QT_MOC_LITERAL(2, 35, 0)
},
"TestCodeGeneratorBase\0initTestCase\0"
}